$(document).ready(initMenu);

function initMenu() {
	// menu();
}

// REFACT: Why is this code still here?
function menu() {
	$(".group li a").each(function() {
		/* button group mainnav */
		if ($(this).text() == "Wiki") {
			$(this).addClass("iconWiki");
		};
		if ($(this).text() == "Timeline") {
			$(this).addClass("iconTimeline");
		};
		if ($(this).text() == "Roadmap") {
			$(this).addClass("iconRoadmap");
		};
		if ($(this).text() == "View Tickets") {
			$(this).addClass("iconTickets");
		};
		if ($(this).text() == "Search") {
			$(this).addClass("iconSearch");
		};
		if ($(this).text() == "Teams") {
			$(this).addClass("iconTeams");
		};
		if ($(this).text() == "Dashboard") {
			$(this).addClass("iconDashboard");
		};
		if ($(this).text() == "Admin") {
			$(this).addClass("iconAdmin");
		};
		if ($(this).text() == "Browse Source") {
			$(this).addClass("iconSource");
		}
		if ($(this).text() == "Build Status") {
			$(this).addClass("iconBuild");
		}
		
		/* button group metanav */
		if ($(this).text() == "Logout" || $(this).text() == "Login") {
			$(this).addClass("iconLogout");
		};
		if ($(this).text() == "Preferences") {
			$(this).addClass("iconPreferences");
		};
		if ($(this).text() == "Help/Guide") {
			$(this).addClass("iconHelp");
		};
		if ($(this).text() == "About Trac") {
			$(this).addClass("iconTrac");
		};
	});
	
	/* Add an agile42 link */
	$(".button.group.metanav").append('<li><a href="http://www.agile42.com/">agile42</a></li>');
};